m4_define([[_PYGMENT_OLDDIVNUM]],m4_divnum())m4_dnl
m4_divert(-1)m4_dnl

m4_dnl
m4_dnl Pygmentize a block of code so that CSS can style it.
m4_dnl
m4_dnl Pygments must be installed and the "pygmentize" CLI command must
m4_dnl be in the current PATH environment variable in order to use this.
m4_dnl
m4_dnl In your source file, use the following:
m4_dnl
m4_dnl     m4_include([[pygment.m4]])m4_dnl
m4_dnl     <later>
m4_dnl     _pygmentize([[<language>]],[[<code>]])
m4_dnl
m4_dnl If you get an error message such as:
m4_dnl
m4_dnl     m4: unexpected end of input, unclosed parenthesis:
m4_dnl
m4_dnl or:
m4_dnl
m4_dnl     m4:m4:1: ERROR: end of file in argument list
m4_dnl
m4_dnl Consider doubling up the quotation of the code text, so that
m4_dnl "_pygmentize([[<language>]],[[<code>]])" becomes
m4_dnl "_pygmentize([[<language>]],[[[[<code>]]]])" instead.
m4_dnl

m4_define([[_pygmentize]],[[<div class="code">m4_dnl
m4_esyscmd((cat << HERE
$2
HERE
) | pygmentize -f html -l $1)m4_dnl
</div>]])

m4_divert(_PYGMENT_OLDDIVNUM)m4_dnl
